drop_system_m = 1
tele_sys = 1
Mute_text= 0


local BIG_ENDIAN = false

local function ReadInt(str)
     if #str ~= 4 then return 0 end
     if BIG_ENDIAN then str = str:reverse() end
     return str:byte(1) + 256 * str:byte(2) + (256 ^ 2) * str:byte(3) + (256 ^ 3) * str:byte(4)     
end

function isAdmin(usgn)
	local filename = "sys/lua/Team Boss/Admin.txt"
	local file = io.open(filename)
	if file then
		for line in file:lines() do
			local parses = totable(line)
			if tonumber(parses[1]) ~= nil then
				if usgn==tonumber(parses[1]) then
					if tonumber(parses[2]) ~= nil then
						return tonumber(parses[2])
					else
						return 1
					end
				end
			end
		end
		if file ~= nil then
			file:close()
		end
	end		
	return 0
end

local function PlayerStats(usgn)
     if not usgn then return false end
     local n, u, s, k, d, t
     local f = io.open("sys/stats/userstats.dat", "rb")
     f:read()
     while true do
          n = f:read()
          if n == nil then break end
          u = ReadInt(f:read(4))
          if u == usgn then
               s = ReadInt(f:read(4))
               k = ReadInt(f:read(4))
               d = ReadInt(f:read(4))
               t = ReadInt(f:read(4))
               break
          end
     end
     f:close()
     if n == nil then return false end
	end 

function ParseAdminCommand(id,txt)
	local p = totable(txt)
	local cmd = tostring(p[1])
	if rp_money[id]>= 1 then
		if cmd =="!save" then
			if rp_Adminlevel[id]>=3 then
				for id = 1,32 do
					if player(id,"exists") then
						local UsgnID = UsgnIds[id]
						if UsgnID > 0 then
							SaveUserStat(id,UsgnID)
						end
					end
				end
				rp_msg2(id,"000255000","SAVE OK!")
			else
				admlevelmsg(id)
			end
		elseif cmd =="!rank" then
			local pl = tonumber(p[2])
			local stats = PlayerStats(player(pl, "usgn"))
if stats then
    print(string.format([[
Userstats for %s (USGN ID %u):
Score: %u
Frags: %u
Deaths: %u
Time on server: %u seconds
]], stats.name, stats.usgn, stats.score, stats.frags, stats.deaths, stats.ptime))
else
     print(id,"255000000","Could not find stats for " .. player(id, "usgn"))
end	 
		elseif cmd =="!money" then
			if rp_Adminlevel[id]>=5 then
				local pl = tonumber(p[2])
				local money = tonumber(p[3])
				if pl ~= nil and money ~= nil then
					if player(pl,"exists") then
						rp_money[pl]=rp_money[pl]+money
						rp_msg2(pl,"000255000",player(id,"name").." Gave you "..money.." of money!")
						rp_msg2(id,"000255000","You gave "..money.." to "..player(pl,"name"))
						updatehud(pl)
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!set" then
			if rp_Adminlevel[id]>=3 then
				local pl = tonumber(p[2])
				local item = tonumber(p[3])
				if (pl ~= nil) and (item~=nil) then
					if player(pl,"exists") then
						Addons[item].FLic[pl]=1
						rp_msg2(id,"000255000","You Give "..Addons[item].FName.." Add-ons to "..player(pl,"name"))
						rp_msg2(pl,"000255000","You have "..Addons[item].FName.." Add-ons now, F3!")
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!speed" then
			if rp_Adminlevel[id]>=3 then
				local pl = tonumber(p[2])
				local speed = tonumber(p[3])
				if (pl ~= nil) and (speed ~= nil) then
					if player(pl,"exists") then
						parse("speedmod "..pl.." "..speed)
						rp_msg2(id,"000255000","You Give "..speed.."to "..player(pl,"name"))
						rp_msg2(pl,"000255000","You have speed now!")
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!kill" then
			if rp_Adminlevel[id]>=4 then
				local pl = tonumber(p[2])
				if (pl ~= nil) then
					if player(pl,"exists") then
						parse([[killplayer ]]..pl)
						rp_msg2(id,"000255000","You killed"..player(pl,"name"))
						rp_msg2(pl,"000255000","You are killed by a admin!")
					end
				end
			else
				admlevelmsg(id)
			end	
		elseif cmd == "!slap" then
			if rp_Adminlevel[id]>=3 then
				local pl = tonumber(p[2])
				if (pl ~= nil) then
					if player(pl,"exists") then
						parse([[sethealth ]]..id..[[ ]]..player(id, "health") - 1)
						rp_msg2(id,"000255000","You slap"..player(pl,"name"))
						rp_msg2(pl,"000255000","You are slapped by a admin!")
					end
				end
			else
				admlevelmsg(id)
			end			
		elseif cmd=="!unlimit" then
			if rp_Adminlevel[id]>=3 then
			rp_msg2(id,"00255000","UNLIMITED BUILDING ENABLED")
			parse('mp_building_limit "Turret" 9999')
			parse('mp_building_limit "Wall I" 9999')
			parse('mp_building_limit "Wall II" 9999')
			parse('mp_building_limit "Wall III" 9999')
			parse('mp_building_limit "Dispenser" 9999')
			parse('mp_building_limit "Supply" 9999')
			parse('mp_building_limit "Barricade" 9999')
			parse('mp_building_limit "Barbed wire" 9999')
			parse('mp_building_limit "Gate field" 9999')
			parse('mp_building_limit "Turret" 9999')
			end
		elseif cmd == "!remove" then
			if rp_Adminlevel[id]>=3 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						InternalFreeImage(pl)
						SetAddons(pl,0)
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!ban" then
			if rp_Adminlevel[id] >=3 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						local ip = player(pl, "ip")
						local usgn = player(pl, "usgn")
						if ip then
							parse("banip "..ip)
						end
						if usgn then
							parse("banusgn "..usgn)
						end
					end
				end
			else
				admlevelmsg(id)
			end
		elseif cmd == "!info" then
			local pl = tonumber(p[2])
			if pl ~= nil then
				if player(pl,"exists") then
				rp_msg2(id,"000255000","player : "..player(pl,"name"))
				rp_msg2(id,"000255000","usgn   : "..player(pl,"usgn"))
				rp_msg2(id,"000255000","money : "..rp_money[pl])
				rp_msg2(id,"000255000","bank   : "..Bankmoney[pl])
				rp_msg2(id,"000255000","level    : "..rp_license[pl])
				rp_msg2(id,"000255000","speed : "..player(pl,"speedmod"))
				rp_msg2(id,"000255000","pos     : "..player(pl,"x")..","..player(pl,"y"))
				rp_msg2(id,"000255000","kills   : "..player(pl,"score"))
				end
			end
		elseif cmd == "!score"then 	
			if rp_Adminlevel[id] >=7 then
			local pl = tonumber(p[2])
				if pl ~= nil then
				local score = tonumber(p[3])
					parse("setscore "..pl.." "..score)
				end	
			end		
		elseif cmd == "!vip" then
			if rp_Adminlevel[id] >=5 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						rp_license[pl]=3
						rp_msg2(id,"000255000","You Give VIP to "..player(pl,"name"))
						rp_msg2(pl,"000255000","You are VIP USER Now")
						updatehud(pl)
					end
				end
			else
				admlevelmsg(id)
			end
        elseif cmd =="!setpos" then
			if rp_Adminlevel[id] >=1 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						tele_x[pl] = player(id,"x")
						tele_y[pl] = player(id,"y")
					else
						rp_msg2(id,"255000000","This player does not exist!")
					end
				end	
			end
		elseif cmd =="!arrest" then
			if rp_Adminlevel[id] >=1 then
				local pl = tonumber(p[2])
				local cell = tonumber(p[3])
				if pl ~= nil then
					if player(pl,"exists") then
						if cell == 1 then
							parse("setpos "..pl.." "..Config.AP[1][1].." "..Config.AP[1][2])
						elseif cell == 2 then
							parse("setpos "..pl.." "..Config.AP[2][1].." "..Config.AP[2][2])
						elseif cell == 3 then
							parse("setpos "..pl.." "..Config.AP[3][1].." "..Config.AP[3][2])		
						end
						rp_arrest[pl]=true
					end
				end	
			end
		elseif cmd =="!free" then
			if rp_Adminlevel[id] >=1 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						rp_arrest[pl]=false
						parse("setpos "..pl.." "..Config.FP[1].." "..Config.FP[2])
					end
				end	
			end

		elseif cmd =="!bring" then
			if rp_Adminlevel[id] >=1 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						parse("setpos "..pl.." "..player(id,"x").." "..player(id,"y"))
					else
						rp_msg2(id,"255000000","This player does not exist!")
					end
				end	
			end
		elseif cmd =="!bringall" then
			if rp_Adminlevel[id] >=5 then
				for pl = 1,32 do
					if player(pl,"exists") then
						parse("setpos "..pl.." "..player(id,"x").." "..player(id,"y"))
					end
				end	
			end	
		elseif cmd == "!heal" then
			if rp_Adminlevel[id] >=1 then	
				parse("spawnitem 64 "..player(id,"tilex").." "..player(id,"tiley"))
			end
		elseif cmd == "!goto" then
			if rp_Adminlevel[id] >=1 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						parse("setpos "..id.." "..player(pl,"x").." "..player(pl,"y"))
					else
						rp_msg2(id,"255000000","This player does not exist!")
					end
				end
			end
		elseif cmd == "!kick" then
			if rp_Adminlevel[id] >=2 then
				local pl = tonumber(p[2])
				if pl ~= nil then
					if player(pl,"exists") then
						parse("kick "..pl)
					end
				end
			end
		else
			rp_msg2(id,"255000000","Unknown Command !")
		end
	else
		admlevelmsg(id)
	end
end

function admlevelmsg(id)
	rp_msg2(id,"255000000","You havent privilage to use this function!")
end