----------------------------------------------------------
-- Advanced Buying Menu
-- Script by FastLine Advance
-- June 2010
----------------------------------------------------------
if bm == nil then bm = {} end
bm.item = {}
bm.id = {}

----------------------------------------
-- Example to add item to menu:
-- bm.item[1] = {id,price,name}
-- bm.item[2] = {id,price,name}
-- ...etc
-- Maximum items is 252
----------------------------------------

bm.price_factor = 1.0

bm.item[1] = {1,10000,itemtype(1,'name')}
bm.item[2] = {2,10000,itemtype(2,'name')}
bm.item[3] = {3,10000,itemtype(3,'name')}
bm.item[4] = {4,10000,itemtype(4,'name')}
bm.item[5] = {5,10000,itemtype(5,'name')}
bm.item[6] = {6,10000,itemtype(6,'name')}
bm.item[7] = {10,10000,itemtype(10,'name')}
bm.item[8] = {11,10000,itemtype(11,'name')}
bm.item[9] = {20,10000,itemtype(20,'name')}
bm.item[10] = {21,10000,itemtype(21,'name')}
bm.item[11] = {22,10000,itemtype(22,'name')}
bm.item[12] = {23,10000,itemtype(23,'name')}
bm.item[13] = {24,10000,itemtype(24,'name')}
bm.item[14] = {30,10000,itemtype(30,'name')}
bm.item[15] = {31,10000,itemtype(31,'name')}
bm.item[16] = {32,10000,itemtype(32,'name')}
bm.item[17] = {33,10000,itemtype(33,'name')}
bm.item[18] = {34,10000,itemtype(34,'name')}
bm.item[19] = {35,10000,itemtype(35,'name')}
bm.item[20] = {36,10000,itemtype(36,'name')}
bm.item[21] = {37,10000,itemtype(37,'name')}
bm.item[22] = {38,10000,itemtype(38,'name')}
bm.item[23] = {39,10000,itemtype(39,'name')}
bm.item[24] = {40,10000,itemtype(40,'name')}
bm.item[25] = {57,650,'Kevlar'}
bm.item[26] = {58,1000,'Kevlar + Helm'}
bm.item[27] = {51,300,'HE Grenade'}
bm.item[28] = {52,9000,'2 Flashbangs'}
bm.item[29] = {53,6000,'Smoke Grenade'}
bm.item[30] = {54,200,'Flare'}
bm.item[31] = {72,5950,'Gas Grenade'}
bm.item[32] = {73,5800,'Molotov Coctail'}
bm.item[33] = {76,9050,'Airstrike'}
bm.item[34] = {45,150000,'Laser'}
bm.item[35] = {46,20000,'Flamethrower'}
bm.item[36] = {47,20000,'RPG Launcher'}
bm.item[37] = {48,20000,'Rocket Launcher'}
bm.item[38] = {49,60500,'Grenade Launcher'}
bm.item[39] = {69,10000,'Machete'}
bm.item[40] = {85,10000,'Chainsaw'}
bm.item[41] = {77,5000,'Mines'}
bm.item[42] = {87,8000,'Laser Mines'}
bm.item[43] = {79,9350,'Light Armor'}
bm.item[44] = {80,9500,'Medium Armor'}
bm.item[45] = {81,8500,'Heavy Armor'}
bm.item[46] = {82,20000,'Medic Armor'}
bm.item[47] = {84,20000,'Stealth Suit'}

-----------------------------------------------------------
-- To call buying menu player should 
-- press 3rd serveraction button 
-- (F4 by default)
-----------------------------------------------------------
-- Say Commands
-- !buy <id> <id2> <id3> <id4> <id5>
-- Players can buy 5 items by means of this say command
-- Example: !buy 7 3 27 - it is M3, Deagle and HE
-----------------------------------------------------------

for i = 1,255 do
	if bm.item[i] ~= nil then 
		bm.item[i][2] = bm.item[i][2] * bm.price_factor 
		bm.item[i][2] = math.floor(bm.item[i][2])
	end
end

function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

function toTable(t,match)
     local cmd = {}
     if not match then
          match = "[^%s]+"
     else
          match = "[^"..match.."]+"
     end
     for word in string.gmatch(t, match) do
          table.insert(cmd, word)
     end
     return cmd
end

sel_page = initArray(32)
buy_item = initArray(32)

for i = 1,255 do
	if bm.item[i] ~= nil then
		bm.id[i] = '['..i..'] '..bm.item[i][3]..' | '..bm.item[i][2]..'$'
	else
		bm.id[i] = ''
	end
end

function bm.menu(id,page)
idnum = page * 7
menu(id,'Buying Menu - '..page..','..bm.id[idnum - 6]..','..bm.id[idnum - 5]..','..bm.id[idnum - 4]..','..bm.id[idnum - 3]..','..bm.id[idnum - 2]..','..bm.id[idnum - 1]..','..bm.id[idnum]..',==> NEXT ==>,<== BACK <==')
end


addhook('menu','bm.menuselect')



function bm.menuselect(id,title,select)
	if string.find(title,'Buying Menu - ') ~= nil then
		if select == 8 then 
			sel_page[id] = sel_page[id] + 1
			if sel_page[id] > 36 then sel_page[id] = 1 end
			bm.menu(id,sel_page[id])
		end
		if select == 9 then
			sel_page[id] = sel_page[id] - 1
			if sel_page[id] < 1 then sel_page[id] = 36 end
			bm.menu(id,sel_page[id])
		end
		for i = 1,7 do
			if select == i then
			if i == 1 then ie = 6 end
			if i == 2 then ie = 5 end
			if i == 3 then ie = 4 end
			if i == 4 then ie = 3 end
			if i == 5 then ie = 2 end
			if i == 6 then ie = 1 end
			if i == 7 then ie = 0 end
				buy_item_p = bm.item[sel_page[id] * 7 - ie]
				bm.buy(id,buy_item_p)
			end
		end
	end
end


function bm.buy(id,buy_item_p)
local item = buy_item_p
local price = item[2]
local name = item[3]
local item_id = item[1]
local money = player(id,'money')
	if rp_money[id] >= price then
		parse('equip '..id..' '..item_id)
		rp_money[id] = rp_money[id] - price
		msg2(id,'You have bought '..name..' for '..price..'$')
		updatehud(id)
	else
		msg2(id,'You have not enough money!')
	end
end